2 Replies Latest reply: Oct 27, 2013 8:23 PM by mjsais
mrhydro Level 1 Level 1

can i run icloud on a imac g5 running 10.5.8 ?


iMac, Mac OS X (10.5.8)
  • Kappy Level 10 Level 10

    No. It requires 10.7.2 or later and a Mac with an Intel processor.

  • mjsais Level 1 Level 1

    I have a 2004 imac g5 and I have been able to use iCloud.com on it. I have used it with Safari, WebKit, Tenfourfox and stainless browsers.  I had the best experience in Tenfourfox, followed by WebKit.  In Tenfourfox, I was able to use all iCloud apps including the beta versions of keynote, numbers and pages.  Try it, you have nothing to loose but possibly making your old Mac more usable and relevant.